

#Magisk Mount
SKIPMOUNT=false

# Load system.prop
PROPFILE=true

# Set to true if you need post-fs-data script
POSTFSDATA=true

# Load late_start service script
LATESTARTSERVICE=true

# Installation Display Screen
print_modname() {
MODNAME=`grep_prop name $TMPDIR/module.prop`
MODVER=`grep_prop version $TMPDIR/module.prop`
DV=`grep_prop author $TMPDIR/module.prop`
Device=`getprop ro.product.device`
Model=`getprop ro.product.model`
Brand=`getprop ro.product.brand`
Time=$(date "+%d, %b - %H:%M %Z")

  sleep 0.1
  echo "-------------------------------------"
  echo -e "- Author：\c"
  echo "$DV"
  sleep 0.1
  echo -e "- Module：\c"
  echo "$MODNAME"
  sleep 0.1
  echo -e "- Version：\c"
  echo "$MODVER"
  sleep 0.1
  echo -e "- Kernel：\c"
  echo "$(uname -r)"
  sleep 0.1
  echo -e "- Provider：\c"
if [ "$BOOTMODE" ] && [ "$KSU" ]; then
  ui_print "KernelSU app"
  sed -i "s/^des.*/description= [😁 KernelSU is loaded] Enable ${MODNAME} /g" $MODPATH/module.prop
  ui_print "- KernelSU：$KSU_KERNEL_VER_CODE (kernel) + $KSU_VER_CODE (ksud)"
  if [ "$(which magisk)" ]; then
    ui_print "*********************************************************"
    ui_print "! Multiple root implementation is NOT supported!"
    abort    "*********************************************************"
fi
elif [ "$BOOTMODE" ] && [ "$MAGISK_VER_CODE" ]; then
  ui_print "Magisk app"
  sed -i "s/^des.*/description= [🥶 Magisk is loaded] Enable ${MODNAME} /g" $MODPATH/module.prop
else
  ui_print "*********************************************************"
  ui_print "! Install from recovery is not supported"
  ui_print "! Please install from KernelSU or Magisk app"
  abort    "*********************************************************"
fi
  sleep 0.1
  echo "-------------------------------------"
  sleep 0.5
  echo "- Brand：$Brand"
  sleep 0.1
  echo "- Device：$Device"
  sleep 0.1
  echo "- Model：$Model"
  sleep 0.1
  echo "- RAM：$(free | grep Mem | awk '{print $2}')"
  sleep 0.5
  echo "-------------------------------------"
  echo "- Installing $MODNAME!"
ui_print "- Install Successful at $Time !!"
}

# Copy/extract your module files into $MODPATH in on_install.

on_install() {
  # The following is the default implementation: extract $ZIPFILE/system to $MODPATH
  # Extend/change the logic to whatever you want
  ui_print "- Extracting module files"
  unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}

# This function will be called after on_install is done

set_permissions() {
  # The following is the default rule, DO NOT remove
  set_perm_recursive $MODPATH 0 0 0755 0644

  set_perm  $MODPATH/system/bin/daemon 0 0 0755
  ui_print " "
  ui_print " "
  ui_print "   🎛⬜⬜ "
  ui_print "   ⬜⬜⬜ "
  ui_print "   ⬜🍎⬜ "
  ui_print "   ⬜⬜⬜ "
  ui_print "   ⬜⬜⬜ "
  ui_print "  iPhone69"
  ui_print " "
  sleep 1
  ui_print " "
  ui_print " Redirecting Module Source "
  ui_print " "
  sleep 1
  nohup am start -a android.intent.action.VIEW -d https://t.me/MeowRedirect/3 >/dev/null 2>&1 &
}

# end of file